//
//  DeviceIconModel.m
//  uPnp2
//
//  Created by rk on 25/04/11.
//  Copyright 2011 Interchart. All rights reserved.
//

#import "DeviceIconModel.h"


@implementation DeviceIconModel

@synthesize mimetype, width, height, depth, url;

+(NSString *)stringValueOfChildElement:(GDataXMLElement *)element: (NSString *)childElementName {
    NSString *result = @"";
//    NSLog(@"stringValueOfElement: node XMLString:%@", [element XMLString]);
    NSError *error = nil;
    NSArray *childElements=[element elementsForName:childElementName];
    if (error) {
        NSLog(@"erorr: %@", error);
    }
    if (childElements && ([childElements count] >0)) {
        result = [[childElements objectAtIndex:0] stringValue];
    }
    return result;
}

+(int)intValueOfChildElement:(GDataXMLElement *)element: (NSString *)childElementName {
    NSString *stringValue = [DeviceIconModel stringValueOfChildElement:element
                                                                      :childElementName];
    return [stringValue intValue];
}


-(id)initWithXmlElement:(GDataXMLElement *)element {
    self = [super init];
    
    mimetype = [DeviceIconModel stringValueOfChildElement:element :@"mimetype"];
    width = [DeviceIconModel intValueOfChildElement:element :@"width"];
    height = [DeviceIconModel intValueOfChildElement:element :@"height"];
    depth = [DeviceIconModel intValueOfChildElement:element :@"depth"];
    url = [DeviceIconModel stringValueOfChildElement:element :@"url"];
    
    return self;
}


#pragma mark -
// Calling sortedArrayUsingSelector:@selector(compareByHeightReverse:) will return
// icons sorted by descending height
- (NSComparisonResult)compareByHeightReverse:(id)otherObject {
    if (self.height > [otherObject height]) {
        return NSOrderedDescending;
    }else if (self.height < [otherObject height]){
        return NSOrderedAscending;
    }
    return NSOrderedSame;
}

@end
