//
//  RendererViewController.h
//  uPnp2
//
//  Created by rk on 20/01/11.
//  Copyright 2011 Interchart. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "UpnpAvRenderer.h"
#import "AsynchUpnpCommand.h"

@interface RendererViewController : UIViewController <AsynchUpnpCommandDelegate> {
	UpnpAvRenderer *renderer;
	IBOutlet UISwitch *muteSwitch;
	IBOutlet UISlider *volumeSlider;
	IBOutlet UILabel *volumeLabel;
}

-(id)initWithRenderer:(UpnpAvRenderer *)theRenderer;

-(IBAction)getMuteButtonPressed:(id)sender;
-(IBAction)muteSwitchTouchup:(id)sender;
-(IBAction)volumeSliderValueChanged:(id)sender;

-(IBAction)playButtonPressed:(id)sender;
-(IBAction)pauseButtonPressed:(id)sender;

#pragma mark AsynchUpnpCommandDelegate
- (void)handleAsynchUpnpCommandResult:(GDataXMLDocument *)parsedResult;

#pragma mark private messages
-(void)updateMuteAndVolume;


@end
